Revert pan-decapitalization for Wiktionaries that did not request auto-capitalization be turned off
Closed, InvalidPublic

Assigned To
None
Priority
Unbreak Now!
Author
555
Subscribers
555, wikibugs-l
Projects
Reference
bz5075
Description

Please, revert changes to lowercase titles in Wiktionary made recently. Acording
to this
(http://en.wiktionary.org/w/index.php?title=Wiktionary%3ABeer_parlour&diff=846085&oldid=845681)
that ins't previous talked in any
place!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!


Version: unspecified
Severity: critical
URL: **.wiktionary.org

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz5075.
555 created this task.Via LegacyFeb 24 2006, 2:53 PM
bzimport added a comment.Via ConduitFeb 25 2006, 12:59 PM

gangleri wrote:

Changed the summary for a better MediaZilla search.

In a discussion on IRC Wiktionary some time ago some contributors mentioned
that they prefer to *keep* the pages for the content language capitalized. This
is *not* identical with a request having the automatic capitalization turned
*on* on some Wiktionaries.

I fully support having automatic capitalization turned *off* in all Wiktionaries
because of the actual content / structure of the Wiktionaries. Most of them have
titles for words in many languages with starts lowercase letters.


To 555;
[[wikt:Wiktionary:Beer_parlour#Please.2C_revert_the_changes_in_Catalan_Wiktionary]]
is about Catalan Wiktionary.
The titles have been moved by [[wikt:ca:user:Conversion_script]], see
[[wikt:ca:special:Contributions/Conversion_script]].

At this moment it is not possible to see which titles from
[[wikt:ca:special:Allpages/A]] are redirects and which are *not*. Please
implement the solution from
Bug 2318: "Special:Allpages should mark redirects distinctly"
at [[wikt:ca:special:MediaWiki:Monobook.css]] to make your work easier and
revert the moves if necessary.

This should be an easy solution for all Wiktionaries with sysops. Bureaucrats
could implement bug 2318 at Wiktionaries without sysops. This request (bug 5075)
should be changed to resolution "WONTFIX".

best regards reinhardt [[user:gangleri]]

bzimport added a comment.Via ConduitFeb 25 2006, 1:14 PM

muke wrote:

la.wiktionary.org had a guideline to keep the pages for the content language
capitalized, and had a CSS workaround in place to allow lowercase page titles when
necessary (e.g. for Klingon or Lojban words), and even to supply the correct title
when not possible in the software (such as [[wikt:la:ῤᾶρος]] and [[wikt:la:w22*X1:
N1-B1]]).

The change implementing the software's automatic-capitalization-turned-off feature
adds no extra functionality; all only breaks sort further (as a-z now sorts after A-
Z), and require that all pretty much all existing templates be moved for no good
reason.

bzimport added a comment.Via ConduitFeb 25 2006, 6:23 PM

spacebirdy wrote:

(In reply to comment #2)

The change implementing the software's automatic-capitalization-turned-off

feature

adds no extra functionality; all only breaks sort further (as a-z now sorts

after A-

Z), and require that all pretty much all existing templates be moved for no good
reason.

If you need to massmove Templates to lowercase this can be done serversided,
please contact Brion for this, the pt.wiktionary had taken this option too.

(In reply to comment #0)

Please, revert changes to lowercase titles in Wiktionary made recently. Acording
to this

(http://en.wiktionary.org/w/index.php?title=Wiktionary%3ABeer_parlour&diff=846085&oldid=845681)

that ins't previous talked in any
place!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

This is not absolutly true, there have been some Wiktionary communities asking
for this
Please see
http://bugzilla.wikimedia.org/buglist.cgi?query_format=advanced&short_desc_type=allwordssubstr&short_desc=Turn+automatic+capitalization&product=Wikimedia&component=General%2FUnknown&order=Bug+Number

There are a bunch of people now offering a helping hand to those wiktionaries
affected.
It would be a good idea to accept that instead of trying to get back to stoneage :/
My personal opinion about this issue is: it should already have happened sooner.
There is no serious Dictionary that I know that does not differ between upper
and lower case at the first character.

Best regards
Elisabeth Anderl [[wikt:is:Notandi:Spacebirdy]]

bzimport added a comment.Via ConduitFeb 25 2006, 7:53 PM

aloges wrote:

Catalan dictionary is serious, (I think,) but we had other systems that let us
differentiate the initial letter.

This characteristic isn't a help. It's a don't wanted headache.

The need of differentiate initial letters in Wiktionary was non-existent. Only a
type of illusion for new cool function. In written Catalan there are
capitalisation rules too, that force to use some words only with initial capital
letter, but nobody wanted this change. Imagine why.

bzimport added a comment.Via ConduitFeb 26 2006, 2:23 AM

muke wrote:

(In reply to comment #3)

(In reply to comment #0)
(http://en.wiktionary.org/w/index.php?title=Wiktionary%3ABeer_parlour&diff=846085&oldid=845681)
> that ins't previous talked in any
> place!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!

This is not absolutly true, there have been some Wiktionary communities asking
for this

"Some Wiktionaries" don't have power to make decisions unilaterally for _all_ Wiktionaries.

There is no serious Dictionary that I know that does not differ between upper
and lower case at the first character.

http://humanities.uchicago.edu/orgs/ARTFL/forms_unrest/webster.form.html
http://www.canadiana.org/ECO/ItemRecord/04222?id=3e5ab247b078e1f1
http://www.lib.uchicago.edu/efts/Woodhouse/
http://dsal.uchicago.edu/dictionaries/hobsonjobson/
http://www.alcyone.com/max/lit/devils/a.html

Also compare http://frath.net/stuff/wikt-vs-paper.png to see why that argument is meaningless; the page title has no relation to anything in a paper dictionary. What
is normal style for a headword is remarkably poor style for a title. This feature was only intended for languages such as Klingon where upper and lower case are
semantically different (q having a different sound than Q, for example) and is out of place elsewhere.

bzimport added a comment.Via ConduitMar 3 2006, 12:26 AM

spacebirdy wrote:

(In reply to comment #5)

"Some Wiktionaries" don't have power to make decisions unilaterally for _all_

Wiktionaries.
This I never said.
As shown here
http://bugzilla.wikimedia.org/buglist.cgi?query_format=advanced&short_desc_type=allwordssubstr&short_desc=Turn+automatic+capitalization&product=Wikimedia&component=General%2FUnknown&order=Bug+Number
they asked for the automatic capitalisation to be turned off for their home
Wiktionaries.

But now "some Wiktionaries" are asking to revert these changes for all.
-> Bug 5075: Revert turning off automatic capitalization on all Wiktionaries

Regards Elisabeth Anderl [[wikt:is:Notandi:Spacebirdy]]

bzimport added a comment.Via ConduitMar 3 2006, 3:10 AM

muke wrote:

Changing summary to better reflect the problem.

bzimport added a comment.Via ConduitMar 4 2006, 10:25 AM

aloges wrote:

In Catalan there are words that depending the grammar meaning have different
ways of writing. Some times with capital letter. Some times no. The word is the
same. The Grammatical classification too. The only difference is the use in the
sentence.

For all these reasons, this feature is not convenient. It's a problem for us
that had internal systems that let differenciate the use or not of capital letters.

I insist. This change can't have been done without asking firt to the respective
communities. The way chosen for all this changes coul be interpreted as a kind
of vandalism that no respect the concensus politics and act apart of the
stablished rules.

bzimport added a comment.Via ConduitApr 30 2006, 6:09 PM

xaviersmp wrote:

I cannot believe tat this has not been solved! Please, fix it because we cannot
do anything on Catalan Wiktionary until you solve this problem

bzimport added a comment.Via ConduitJun 12 2006, 9:19 PM

paubcrespo wrote:

I can't believe that this bug is not fixed and closed when the community never wanted this change. I know it, I'm the admin
of the Catalan one. I think that is one of the worse cases of imposition to the democracy of the different communities of the
Wikimedia projects. If the Catalan Wiktionary were in one of the bigger languages our petition would have had answer. But the
bug was closed against the position of our community. If you see the changes, the contributions have decreased since the day
of this change. Please revert it.

bzimport added a comment.Via ConduitJun 12 2006, 9:30 PM

wikt.3.connelm wrote:

(In reply to comment #10)

I can't believe that this bug is not fixed and closed when the community never

wanted this change. I know it, I'm the admin

of the Catalan one. I think that is one of the worse cases of imposition to

the democracy of the different communities of the

Wikimedia projects. If the Catalan Wiktionary were in one of the bigger

languages our petition would have had answer. But the

bug was closed against the position of our community. If you see the changes,

the contributions have decreased since the day

of this change. Please revert it.

That's not exactly an accurate statement. The community of the English
Wiktionary wanted it to be "undone" when it was foisted on them one year ago.
See http://en.wiktionary.org/wiki/MediaWiki:Noarticletext for the latest attempt
at a work-around. (Could possibly be added to
http://en.wiktionary.org/wiki/MediaWiki:Newarticletext as well.)

555 added a comment.Via ConduitJun 12 2006, 9:34 PM

I can't need to receive anything about it. The impose of new logo for Wikisource
is quite more stressing that this for me, but, I'm continuing to edit in
Portuguese Wikisource. Sorry for my English and for anything.

bzimport added a comment.Via ConduitJun 14 2006, 3:19 PM

joanot.martorell wrote:

Revert the changes to maintain the equivalence of capitalized and
non-capitalized first letters of the worlds. The measure to make this change
with any accurate and with any respect of the rest of languages isn't any
democratic in the Wikimedia Community. Leave equivalence in wiktionary languages
such Catalan. Thanks!.

bzimport added a comment.Via ConduitJun 14 2006, 3:25 PM

xaviersmp wrote:

I agree with last comment. Wikimedia wikis are usually very democratic. Why cannot we choose that we want to have the
capitalization in Catalan Wiktionary? The capital distinction is useless for us because of the Catalan language grammar. In
addition, it gives us a lot of work for each article we want to write, and for a small Wiktionary like ours this is a very
big problem.

bzimport added a comment.Via ConduitJun 14 2006, 3:31 PM

robchur wrote:

Do you know the main reason we've stopped fucking about with this configuration
option? Because it's massively disruptive to keep changing it; as much as it is
to have set it. Individual communities don't make up their minds; small cults
do, naming themselves the "real community" each time. Now, if a particular
Wiktionary agrees they definitely need this set one way or the other, the best
thing to do would be to make a specific request.

brion added a comment.Via ConduitJun 14 2006, 7:28 PM

Yowza, that's some language. :)

xavier, Joanot et al: changing this setting *is* particularly
disruptive. If there really is a strong community preference
to switching it yet again in some particular place, I need:

  1. A very clear, open, strongly supported discussion and community

consensus agreement. Usually with a change this size there are
people supporting both options, both sides being very vocal.
Given the overwhelming overall support, I went ahead and switched
all Wiktionaries to the same setting to at least get the system
consistent.

If we're stuck in the position where only some people want a change
and there's no clear benefit to it, I'm not going to waste your
time or mine by switching which half is angry.

  1. A promise that it will never, ever be asked to change again

(until future version which has true case-insensitivity is
available, at least).

This bug is closed because it's unspecific and unsupportable.
If a specific, supportable request for a particular wiki is
available, then ask for that and provide the supporting
evidence.

This bug report is *NOT* a suitable discussion forum.

bzimport added a comment.Via ConduitJul 22 2006, 10:40 AM

aloges wrote:

As you can see http://ca.wiktionary.org/wiki/Projecte:La_taverna#Votacions

there has been long time votings. Two wanted the same configuration that
exisists now and 6 the revertion and see [[Paraula]] and [[paraula] as the same
link.

bzimport added a comment.Via ConduitAug 26 2006, 11:17 AM

coet.cawiki wrote:

revert changes of capitalization non-capitalization of the Viccionari (the
Wiktionary in Catalan) [[:ca:Usuari:Pasqual]]

bzimport added a comment.Via ConduitAug 26 2006, 11:18 AM

coet.cawiki wrote:

Please, revert changes of capitalization non-capitalization of the Viccionari
(the Wiktionary in Catalan) [[:ca:Usuari:Pasqual]]

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.